org.apache.datasketches.tuple

## Interface SummaryFactory<S extends Summary>

Type Parameters:
  `S` - type of Summary

All Known Implementing Classes:
  ArrayOfStringsSummaryFactory, DoubleSummaryFactory, IntegerSummaryFactory

    public interface SummaryFactory<S extends Summary>

Interface for user-defined SummaryFactory

### Method Summary

All Methods Instance Methods Abstract Methods
`S` `newSummary()`

### Method Detail

#### newSummary

    S newSummary()

Returns:
  new instance of Summary